aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-macos-10.12-x86_64/020-xcode.sh
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/qtci-macos-10.12-x86_64/020-xcode.sh')
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/020-xcode.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/020-xcode.sh b/coin/provisioning/qtci-macos-10.12-x86_64/020-xcode.sh
index 260f18aa..070ed049 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/020-xcode.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/020-xcode.sh
@@ -50,6 +50,7 @@ ExceptionSHA1=101
ExceptionUnXZ=102
ExceptionCPIO=103
ExceptionDelete=104
+ExceptionAcceptLicense=105
url=http://ci-files01-hki.ci.local/input/mac/macos_10.12_sierra/Xcode_8.2.1.xz
@@ -73,6 +74,9 @@ try
echo "Deleting '${targetFile%.*}'"
rm "${targetFile%.*}" || throw $ExceptionDelete
+ echo "Accept license"
+ sudo xcodebuild -license accept || throw $ExceptionAcceptLicense
+
echo "XCode = 8.2.1" >> ~/versions.txt
)
catch || {
@@ -97,6 +101,10 @@ catch || {
echo "Failed to delete temporary file."
exit 1;
;;
+ $ExceptionAcceptLicense)
+ echo "Failed to accept license."
+ exit 1;
+ ;;
esac
}